Subject: bug#16383: balance-windows fails in Emacs 24.3.50.1

From: Steven Edwards <[email-masked]>
Date: Tue, 7 Jan 2014 15:12:14 -0500

I applied the changes manually with no luck.  The Debian snapshot will
be updated soon, I hope.

Thank you for letting me know it's fixed... that gives me something to
look forward to. :)

On 1/7/14, martin rudalics <[email-masked]> wrote:
>  > How do I find out which revision I have?
>
> Here I can do
>
> C-h v emacs-bzr-version RET
>
> But IIUC you don't use bazaar but Debian snapshots.  So if you can apply a
> patch try the one below.
>
> martin
>
>
> === modified file 'lisp/window.el'
> --- lisp/window.el    2014-01-05 16:29:44 +0000
> +++ lisp/window.el    2014-01-07 11:41:17 +0000
> @@ -4541,7 +4541,7 @@
>       (setq sub first)
>       (while (and sub (> rest 0))
>         (unless (window--resize-child-windows-skip-p window)
> -    (set-window-new-pixel sub char-size t)
> +    (set-window-new-pixel sub (min rest char-size) t)
>       (setq rest (- rest char-size)))
>         (setq sub (window-right sub)))
>
> @@ -4550,7 +4550,7 @@
>       (setq sub first)
>       (while (and sub (> rest 0))
>         (unless (eq (window-new-normal sub) 'ignore)
> -    (set-window-new-pixel sub char-size t)
> +    (set-window-new-pixel sub (min rest char-size) t)
>       (setq rest (- rest char-size)))
>         (setq sub (window-right sub)))
>
>
>